<?php
/**
 * Lunarhotel Websitetodo
 * 
 * @package    Lunarhotel Websitetodo
 * @subpackage Components
 * @link http://www.lunarhotel.co.uk
 * @license		GNU/GPL
 */
 
 // Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

class TableWebSiteToDo extends JTable {
	
	var $id 				= null;
	var $taskdate 			= null;
	var $details			= null;
	var $user				= null;
	var $extension			= null;
	var $extensionid		= null;
	var $complete			= false;
	var $completedby		= null;
	var $published			= false;
	var $checked_out		= false;
	var $checked_out_time	= null;
	var $hits				= 0;
	
	
	function __construct( &$db ) {
		parent::__construct('#__wstd_tasklist', 'id', $db);
		// set the date to now
		$this->reset();
	}
	
	function check() {
		// validation checks
		if (!$this->taskdate || !$this->details  
				|| !$this->extension	|| !$this->extensionid) {
			
			$this->setError(JText::_("A needed value is missing"));
			return false;
		}
		
		return true;
	}
	
	function reset() {
		parent::reset();
		$this->taskdate=Date("Y-m-d H:i:s");
		$this->published= true;
	}
}
?>