<?php 

/**
 * Lunarhotel Websitetodo entry point
 * 
 * @package    Lunarhote Website To do
 * @subpackage Components
 * @link http://www.lunarhotel.co.uk
 * @license		GNU/GPL
 */



defined('_JEXEC') or die('Restricted access'); ?>

<?php  JHTML::_('behavior.tooltip');  ?>

<?php
	JToolBarHelper::title( JText::_( 'TASK LIST TITLE' ), 'generic.png' );
	JToolBarHelper::custom( 'Complete', 'apply.png', 'cancel_f2.png', 'Complete' );
	JToolBarHelper::deleteList();
	JToolBarHelper::editListX();
	JToolBarHelper::addNewX();
?>

<form action="index.php?option=com_users" method="post" name="adminForm">
	<table>
		<tr>
			<td width="100%">
				<?php echo JText::_( 'TASK LIST FILTER' ); ?>:
				<input type="text" name="search" id="search" value="<?php echo htmlspecialchars($this->lists['search']);?>" class="text_area" onchange="document.adminForm.submit();" />
				<button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
				<button onclick="document.getElementById('search').value='';this.form.getElementById('filter_type').value='0';this.form.getElementById('filter_logged').value='0';this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
			</td>
			<td nowrap="nowrap">
				<?php echo $this->lists['type'];?>
			</td>
		</tr>
	</table>

	<table class="adminlist" cellpadding="1">
		<thead>
			<tr>
				<th width="2%" class="title">
					<?php echo JText::_( 'NUM' ); ?>
				</th>
				<th width="3%" class="title">
					<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->items); ?>);" />
				</th>
				<th width="45%" class="title">
					<?php echo JHTML::_('grid.sort',   JText::_('TASK LIST TASK'), 'details', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th width="1%" class="title">
					<?php echo JHTML::_('grid.sort',   JText::_('TASK LIST PUBLISHED'), 'published', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th width="10%" class="title" >
					<?php echo JHTML::_('grid.sort',   JText::_('TASK LIST EXTENSION'), 'extension', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th width="23%" class="title" nowrap="nowrap">
					<?php echo JHTML::_('grid.sort',   JText::_('TASK LIST ITEM'), 'itemtitle', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
					
				</th>
				<th width="15%" class="title">
					<?php echo JHTML::_('grid.sort',   JText::_('TASK LIST COMPLETE'), 'complete', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
				<th width="1%" class="title" nowrap="nowrap">
					<?php echo JHTML::_('grid.sort',   'ID', 'id', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
				</th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="10">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
			<?php
				$i=0;
				foreach ($this->tasks as $task) {
					$publishedImg 	= $task->published ? 'tick.png' : 'publish_x.png'  ;
					$publishedAlt 	= $task->published ? JText::_( 'TASK LIST PUBLISHED' ) : JText::_( 'TASK LIST UNPUBLISHED' );
					
					$ptask 			= $task->published ? 'unpublish' : 'publish';
					$ctask			= $task->complete ? 'incomplete' : 'complete'; 
					
					$completedImg 	= $task->complete ? 'tick.png' : 'publish_x.png'; 
					$completedAlt 	= $task->complete ? JText::_( 'TASK LIST COMPLETE' ) : JText::_( 'TASK LIST INCOMPLETE' );
					
					$tasklink 	= 'index.php?option=com_websitetodo&amp;view=task&amp;task=edit&amp;cid[]='. $task->id. '';
			?>
			<tr class="<?php echo "row$k"; ?>">
				<td>
					<?php echo $i+1+$this->pagination->limitstart;?>
					
				</td>
				<td>
					<?php echo JHTML::_('grid.id', $i, $task->id ); ?>
				</td>
				<td>
					<a href="<?php echo $tasklink; ?>">
					<?php if($task->complete) { ?>
					<?php 	echo "<span class=\"task_complete\">" . $task->details . "</span>"; ?>
					<?php } else { ?>
					<?php 	echo "<span>" . $task->details . "</span>"; ?>
					<?php } ?>
					</a>
				</td>
				<td align="center">
					<a href="javascript:void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo $ptask;?>')">
						<img src="images/<?php echo $publishedImg;?>" width="16" height="16" border="0" alt="<?php echo $publishedAlt; ?>" />
					</a>
				</td>
				<td>
					<?php echo $task->extension; ?>
				</td>
				<td>
					<a href="/administrator/index.php?option=<?php echo $task->extension;?>&task=edit&client=0&cid[]=
					<?php echo $task->extensionid; ?>"><?php echo $task->itemtitle;  ?></a>
					<a target="_BLANK" href="/administrator/index.php?option=<?php echo $task->extension;?>&task=edit&client=0&cid[]=
					<?php echo $task->extensionid; ?>"><img src="/administrator/components/com_websitetodo/assets/newwindow.png" border="0" /></a>
				</td>
				<td align="center">
					<a href="javascript:void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo $ctask;?>')">
						<img src="images/<?php echo $completedImg;?>" width="16" height="16" border="0" alt="<?php echo $completedAlt; ?>" /></a>
				</td>
				<td>
					<!-- ID -->
					<?php echo $task->id; ?>
				</td>
			</tr>
			<?php 	$i++; ?>
			<?php } ?>

		</tbody>
	</table>
	

	<input type="hidden" name="option" value="com_websitetodo" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>