<?php
/**
 * Lunarhotel Websitetodo
 * 
 * @package    Lunarhotel Websitetodo
 * @subpackage Components
 * @link http://www.lunarhotel.co.uk
 * @license		GNU/GPL
 */


// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport( 'joomla.application.component.model' );

class WebsitetodoModelWindow extends JModel
{
	
	
	function getTask( $id )
	{
		
		JTable::addIncludePath(JPATH_COMPONENT_ADMINISTRATOR . DS . "tables");
		$table = JTable::getInstance("websitetodo","Table");
		
		$table->reset();
		if( $table->load($id) ) {
			
			return $table;
		}
		
		return false;
	}
	
	function getTaskList( $id="", $extension="", $extensionid=false, $complete="") {
		$db =& JFactory::getDBO();

		$q = 'SELECT id,taskdate,details,user,extension,extensionid,complete,completedby FROM #__wstd_tasklist ' . 
			'where published=1';
		
		
		if( $extensionid ) {
			$q.=" and extensionid=" . $extensionid;
		}
		
		if( $extension ) {
			$q.=" and extension=" . $db->Quote($extension);
		}
		
		if ( $complete!="" ) {
			$q.= " and complete=" . $complete;
		}
		
		if ( $id!="" ) {
			$q.= " and id=" . $id;
		}
		
		$db->setQuery( $q );
		//die($q);
		return $db->loadObjectList();
	}
	
	function unPublishTask( $id ) {
		JTable::addIncludePath(JPATH_COMPONENT_ADMINISTRATOR . DS . "tables");
		$table = JTable::getInstance("websitetodo","Table");
		$table->load( $id );
		//return $table->delete( );
		return $table->publish( Array($id), 0);
		
	}
	
	function completeTask( $id, $complete=1, $by=false ) {
		JTable::addIncludePath(JPATH_COMPONENT_ADMINISTRATOR . DS . "tables");
		$table = JTable::getInstance("websitetodo","Table");
		$table->load( $id );
		$table->complete=$complete;
		if($by) {
			$table->completedby=$by;
		}
		return $table->store();
		
	}

}
