<?php

	/**
	* @version		$Id: Dylans helper for website to do list  $
	* @package		None
	* @copyright	Copyright (C) 2011 Lunarhotel.co.uk . All rights reserved.
	* @license		GNU/GPL, see LICENSE.php
	* 
	*/
	defined( '_JEXEC' ) or die( 'Restricted access' );

	// returns tru if its appropriate to show the task list for the supplied element
	// element will be module, content or whatever else we add support for
	
	function iShouldShowTaskIcon($element) {
		global $mainframe;
		
		$JApplication=JFactory::getApplication();
		
		if(!$JApplication->isAdmin()) {
			$params =& $mainframe->getParams ('com_websitetodo');
			$enabled = $params->get('enabled');
			$enableModules=$params->get('enableModules');
			$enableContent= $params->get('enableContent');
			$showOnUserid= $params->get('userId');
			$showWhen= $params->get('showWhen');
		}
		
		if(!$enabled) { return false; }
		
		$showWhentest=false;
		switch($showWhen) {
			case 0:
				// always show, provided its enabled
				$showWhenTest=true;
				break;
			case 1:
				// show with any logged in user
				$user =& JFactory::getUser();
				$showWhenTest=$user->id;
				break;
			case 2:
				// show when a specific user is logged in
				$user =& JFactory::getUser();
				$showWhenTest= ($user->id==$showOnUserid);
				break;
		}
		
		if($showWhenTest) {
			if($element="com_modules") {return $enableModules;}
			if($element="com_content") {return $enableContent;}
		}
		
		return false;
	}

?>