<?php
/**
 * Lunarhotel Websitetodo
 * 
 * @package    Lunarhotel Websitetodo
 * @subpackage Components
 * @link http://www.lunarhotel.co.uk
 * @license		GNU/GPL
 */


// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport( 'joomla.application.component.model' );

class WebsitetodoModelWebsitetodo extends JModel
{
	
	
	/*function getTask( $id )
	{
		
		JTable::addIncludePath(JPATH_COMPONENT_ADMINISTRATOR . DS . "tables");
		$table = JTable::getInstance("websitetodo","Table");
		
		$table->reset();
		if( $table->load($id) ) {
			
			return $table;
		}
		
		return false;
	}*/
	
	function getTaskList( $id="", $extension="", $extensionid=false, 
						$filter="", $complete="", $order="id", $direction="") {
		$db =& JFactory::getDBO();

		$q = 'SELECT id,taskdate,published, details,user,extension,extensionid' . 
			',complete,completedby,itemtitle FROM #__wstd_tasklist where id>0';

		if( $extensionid ) {
			$q.=" and extensionid=" . $extensionid;
		}
		
		if( $extension ) {
			$q.=" and extension=" . $db->Quote($extension);
		}
		
		if ( $complete!="" ) {
			$q.= " and complete=" . $complete;
		}
		
		if ( $id!="" ) {
			$q.= " and id=" . $id;
		}
		
		if($filter) {
			$q.= " and details like " . $db->Quote("%" . $filter . "%") . "";
		}
		
		
		if($order) {
			$q.=" order by " . $order . " " . $direction;
		}
		
		$db->setQuery( $q );
		
		return $db->loadObjectList();
	}
	
	// deletes a task or tasks, $cid is always an array
	function deleteTask( $cid ) {
		if(is_array($cid)) {
			JTable::addIncludePath(JPATH_COMPONENT_ADMINISTRATOR . DS . "tables");
			$table = JTable::getInstance("websitetodo","Table");
			foreach($cid as $id) {
				$table->load( $id );
				$table->delete();
			}
		}
	}
	
	// sets tasks published or unpublished as approptiate
	function setPublishedState( $cid, $state ) {
		if(is_array($cid)) {
			JTable::addIncludePath(JPATH_COMPONENT_ADMINISTRATOR . DS . "tables");
			$table = JTable::getInstance("websitetodo","Table");
			
			$user = &JFactory::getUser();
			$table->publish( $cid, $state, $user->get('id') ) ;
		}
	}
	
	// sets tasks published or unpublished as approptiate
	function setCompletedState( $cid, $state ) {
		if(is_array($cid)) {
			
			JTable::addIncludePath(JPATH_COMPONENT_ADMINISTRATOR . DS . "tables");
			$user =& JFactory::getUser();
			
			foreach( $cid as $id ) {
				$table = JTable::getInstance("websitetodo","Table");
				$table->reset();
				$table->load( $id );
				$table->complete = $state;
				if( $state ) {
					$table->completedby = $user->get('id');
				} else {
					$table->completedby = 0;
				}
				$table->store();
			}
			
			
		}
	}

}
