<?php
/**
 * Lunarhotel Websitetodo
 * 
 * @package    Lunarhotel Websitetodo
 * @subpackage Components
 * @link http://www.lunarhotel.co.uk 
 * @license		GNU/GPL
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.view');


class WebsitetodoViewTask extends JView
{
	function display($tpl = null)
	{
		if( $id = JRequest::getVar("id",false) ) {
			// so lets get the task list information
			require_once( JPATH_COMPONENT_ADMINISTRATOR . DS . "models" . DS . "websitetodo.php");
			$model = new WebsitetodoModelWebsitetodo();
			// get all tasks.
			$tasks = $model->getTaskList($id);
			
			
			// add the supporting js
			$document = JFactory::getDocument();
			$document->addScript( JURI::base(true) . "administrator/components/" . 
				"com_websitetodo/assets/websitetodo.js" );

			$this->assignRef( "task", $tasks[0] );
			
			$this->assign( "id", $id);
		}
		// edit if id is there, if not make a new one
		$lists['published'] 	= JHTML::_('select.booleanlist',  'published', 'class="inputbox" size="1"', @$tasks[0]->published );
		$lists['complete'] 	= JHTML::_('select.booleanlist',  'completed', 'class="inputbox" size="1"', @$tasks[0]->complete );
		
		// list of page elements (modules / content items / pages etc..)
		$elements=Array("com_modules" => "Modules", "com_content" => "Content items", "page" => "Pages");
		
		/*$types[] 		= JHTML::_('select.option',  '0', '- '. JText::_( 'Select Extension' ) .' -' );
		foreach( $elements as $key => $element ) {
			$types[] = JHTML::_('select.option',  $key, JText::_( $element ) );
		}*/

		
		$this->assignRef( "lists", $lists );
		
		parent::display($tpl);
	}
}
