/**
* @version		$Id: com_websitetodo $
* @package		Websitetodo
* @copyright	Copyright (C) 2011 lunarhotel.co.uk All rights reserved.
* @license		GNU/GPL, see LICENSE.php

*/

function unPublishTask( id ) {
	if( confirm("OK to unPublish this task?") ) {
		var url="index2.php?option=com_websitetodo&task=unpublishTask&id=" + id +
			"&nohtml=1";
		PassAjaxResponseNowhere ( url );
		document.getElementById("wstd_task_" + id).style.display="none";
	}
}


function completeTask( id ) {
	var url="index2.php?option=com_websitetodo&task=completeTask&id=" + id +
		"&nohtml=1";
	PassAjaxResponseNowhere ( url );
	//document.getElementById("wstd_task_" + id).style.display="none";
	updateTask( id );
}

function unCompleteTask( id ) {
	var url="index2.php?option=com_websitetodo&task=unCompleteTask&id=" + id +
		"&nohtml=1";
	PassAjaxResponseNowhere ( url );
	updateTask( id );
}

/* allows a task to be edited */
function editStart( id, taskValue ) {
	
	document.getElementById("wstd_task_linkcont_" + id).style.display="none";
	document.getElementById("wstd_task_fieldcont_" + id).style.display="inline";
	document.getElementById("wstd_task_field_" + id).value = taskValue;
	document.getElementById("wstd_task_field_" + id).focus();
	document.getElementById("wstd_task_field_" + id).select();

}

// when editing is finised - just restores the link, and hides the field
function editFinish( id ) {

	document.getElementById("wstd_task_linkcont_" + id).style.display="inline";
	document.getElementById("wstd_task_fieldcont_" + id).style.display="none";
}

// does an ajax call to populate the popup window, but also the test env Ive got setup
function populateWindow( elementId ) {
	var url="/index.php?option=com_websitetodo&view=window&format=raw";
	SetInnerHTMLFromAjaxResponse(url, elementId );
}



function updateTask ( id ) {
	var newvalue = escape( document.getElementById("wstd_task_field_" + id).value );
	// create the url to update, in response, we'll get the contents for the
	// task div container, so we can use SetInnerHTMLFromAjaxResponse
	var url = "/index.php?option=com_websitetodo&task=updatetask&id=" + id +
		"&details=" + newvalue;
	
	// now define work out the name of the div we're going to replace the html for (to show the update)
	var elementName = "wstd_task_" + id;
	
	PassAjaxResponseToFunction ( url, "refreshTask", "\'" + id + "\'" );
	document.getElementById("wstd_task_fieldcont_" + id).innerHTML="Updating...";
	
}


// this used to be part of updateTask, however on rare occassions it was reloading the task html
// before the write had completed, so now, updateTask will call this once it gets a response back
// from the controller call to update the task, rather than doing it in parallel
function refreshTask(response, id) {
	// now update the task instance to reflect the new change..
	var elementName = "wstd_task_" + id;
	url="/index.php?option=com_websitetodo&view=window&format=raw&layout=default_tasks_task&id=" + id;
	
	SetInnerHTMLFromAjaxResponse(url, elementName);
}

// make the ajax call to add the task(s) to the list
function addTask( taskfieldid, extension, extensionId ) {
	// will need to url encode the whole thing
	var taskfield= document.getElementById( taskfieldid );

	var esc_tasks = escape( taskfield.value );
	
	// so this will store the new tasks, and return an updated tasklist
	var url = "/index.php?option=com_websitetodo&task=addTask&details=" + esc_tasks +
			"&extension=" + extension + "&extensionid=" + extensionId + "&view=window&" +
			"format=raw&layout=default_tasks";
	
	SetInnerHTMLFromAjaxResponse(url, "tab_content_container2");
	taskfield.value="";
}


// processes key press in the input field (so we can detect enter press, and escape press)
function inEditKeyPress(event, taskid) {
	var keycode=keyPress(event);
	// enter pressed
	switch (keycode) {
		case 13:
			updateTask(taskid);
			break;
		case 27:
			editFinish(taskid);
			break;
	}
	
	
}

//detects pressing enter in the input field
function keyPress(e)
{
	var keynum
	var keychar
	var numcheck

	// IE
	if(window.event) {
		keynum = e.keyCode
	}
	// firefox & firefox-eque
	else if(e.which) 	{
		keynum = e.which
	}
	return keynum;
}
