<?php
/**
 * @version		$Id: install.websitetodo.php 2011-05-17 $
 * @package		Website To do
 * @author		Lunarhotel.co.uk
 * @copyright	Copyright (c) 201 Lunarhotel.co.uk All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */
 
	 // no direct access
	 defined('_JEXEC') or die('Restricted access');

	 jimport('joomla.installer.installer');
	 
	 // this will install the task table, and the plugin(s) and admin module
	 
	 // so first the easy bit, the task table
	 
	$db = & JFactory::getDBO();
	
	$q=" CREATE TABLE IF NOT EXISTS `jos_wstd_tasklist` (" .
		"`id` bigint(20) NOT NULL AUTO_INCREMENT," .
		"`taskdate` datetime NOT NULL," .
		"`details` varchar(255) NOT NULL," .
		"`user` bigint(20) NOT NULL," .
		"`extension` varchar(50) NOT NULL," .
		"`extensionid` bigint(20) NOT NULL," .
		"`itemtitle` varchar(512) NOT NULL," .
		"`complete` tinyint(4) NOT NULL," .
		"`completedby` bigint(20) NOT NULL," .
		"`published` tinyint(1) NOT NULL," .
		"`checked_out` int(11) NOT NULL," .
		"`checked_out_time` datetime NOT NULL," .
		"`ordering` int(11) NOT NULL," .
		"`hits` int(11) NOT NULL," .
		"PRIMARY KEY (`id`)" .
		") ENGINE=MyISAM  DEFAULT CHARSET=utf8";
		
	$db->setQuery($q);
	
	// so that should be the task table created.
	$tablecreation="failed";
	if($db->query()) {
		$tablecreation="Success";
	}
	
	// now the plugins (system and content.. so far)
	$src = $this->parent->getPath('source');
	$plugins[0]->group = "system";
	$plugins[0]->src = $src . DS . "plugins" . DS . $plugins[0]->group;
	
	$plugins[1]->group = "content";
	$plugins[1]->src = $src . DS . "plugins" . DS . $plugins[1]->group;
	
	
	
	foreach ($plugins as $plugin) {

		$installer = new JInstaller;
		
		$plugin->result = $installer->install($plugin->src);

		$query = "UPDATE #__plugins SET published=1 WHERE element=".$db->Quote("websitetodo")." AND folder=".$db->Quote($plugin->group);
		$db->setQuery($query);
		$db->query();
	}
	
	// now install the admin module
	$src = $this->parent->getPath('source') . DS . "administrator" . DS . "modules" . DS . "mod_websitetodo";
	$installer = new JInstaller;
	$result = $installer->install( $src );

	
	// now publish the admin task list in the cpanel
	
	$q= "UPDATE #__modules set position='cpanel', published=1 where module='mod_websitetodo';";
	$db->setQuery( $q );
	
	$moduleInstall="Failed";
	
	if($db->query()) {
		$moduleInstall="Success";
	}
	
	
	// so we're all done... just report the results to the user
?>
<img src="/components/com_websitetodo/assets/lhlogo.png" alt="Lunarhotel.co.uk 5 Star Joomla! Extensions"/>
<h2><?php echo JText::_('Website To-Do Installation'); ?></h2>
<p class="installresults">
Lunarhotel.co.uk's Website To-do component is installed and ready to use
</p>
<p class="installresults">
Please goto <a href="http://www.lunarhotel.co.uk/help/forum">www.lunarhotel.co.uk/help/forum</a> for support
</p>
<h3>Extensions installed</h3>
<table>
	<thead>
		<tr>
			<th class="title" colspan="2"><?php echo JText::_('Extension'); ?></th>
			<th width="30%"><?php echo JText::_('Status'); ?></th>
		</tr>
	</thead>
	
	<tbody>
		<tr>
			<td colspan="2"><?php echo JText::_('Component'); ?></td>
			<td><strong><?php echo JText::_('Installed'); ?></strong></td>
		</tr>
		<tr>
			<td colspan="2"><?php echo JText::_('Admin Module'); ?></td>
			<td><strong><?php echo JText::_($moduleInstall); ?></strong></td>
		</tr>
		<?php foreach ($plugins as $plugin) { ?>
		<tr>
			<td colspan="2"><?php echo ucfirst($plugin->group); ?></td>
			<td><strong><?php echo $plugin->result ? "Success" : "Failed"; ?></strong></td>
		</tr>
		<?php };?>
	</tbody>
</table>


