<?php
/**
* @version		$Id: mod_websitetodo.php $
* @package		Websitetodo
* @copyright	Copyright (C) 2011 lunarhotel.co.uk All rights reserved.
* @license		GNU/GPL, see LICENSE.php

*/

// Check to ensure this file is within the rest of the framework
defined('JPATH_BASE') or die();

include_once(JPATH_SITE."/libraries/joomla/document/html/html.php");

include_once(JPATH_SITE."/libraries/joomla/document/document.php");


class LHJDocumentHTML extends JDocumentHTML
{
	
	/**
	* Load a renderer
	*
	* @access	public
	* @param	string	The renderer type
	* @param	string	path override added by lh - allows setting of a specific renderer file
	* @return	object
	* @since 1.5
	*/
	function &loadRenderer( $type )
	{
		// we only want to affect modules so....
		if($type!="module") { 
			return parent::loadRenderer( $type );
		}
		
		$null	= null;
		$class	= 'LHJDocumentRenderer'.$type;

		if( !class_exists( $class ) )
		{
			$path = JPATH_ROOT . DS . "plugins" . DS . "system" .DS. "websitetodo" . DS . $type.'.php';
			
			
			if(file_exists($path)) {
				require_once($path);
			} else {
				JError::raiseError(500,JText::_('Unable to load renderer class'));
			}
		}

		if ( !class_exists( $class ) ) {
			return $null;
		}

		$instance = new $class($this);
		return $instance;
	}

}
